# Copyright 2007-2016 Terry Ross, Draw Metal LLC.  All Rights Reserved.
# Portions Copyright 2005, @Last Software, Inc.

# DISCLAIMER OF WARRANTIES
# BECAUSE THIS SOFTWARE IS PROVIDED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE SOFTWARE.
# THE SOFTWARE IS PROVIDED "AS IS" WITH ALL FAULTS AND WITHOUT WARRANTY OF ANY KIND,    
# EITHER EXPRESSED, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY, OF SATISFACTORY QUALITY,
# OF FITNESS FOR A PARTICULAR PURPOSE OR USE, OF ACCURACY, OF QUIET ENJOYMENT,
# AND OF NON-INFRINGEMENT OF THIRD PARTY RIGHTS.
# THERE IS NO WARRANTY AS TO THE SOFTWARE'S PERFORMANCE, AGAINST INTERFERENCE WITH
# YOUR ENJOYMENT OF THE SOFTWARE, THAT THE FUNCTIONS CONTAINED IN THE SOFTWARE
# WILL MEET YOUR REQUIREMENTS, THAT THE OPERATION OF THE SOFTWARE WILL BE
# UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE SOFTWARE WILL BE CORRECTED.
# YOU EXPRESSLY ACKNOWLEDGE AND AGREE THAT USE OF THE SOFTWARE IS AT YOUR SOLE RISK
# AND THAT THE ENTIRE RISK AS TO SATISFACTORY QUALITY, PERFORMANCE, ACCURACY AND EFFORT
# IS WITH YOU.  SHOULD THE SOFTWARE PROVE DEFECTIVE, YOU ASSUME THE ENTIRE COST
# OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION.
# NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY THE SOFTWARE PROVIDER
# SHALL CREATE A WARRANTY.

require 'sketchup.rb'
require 'extensions.rb'

module DrawMetalCurveMaker
module DrawMetalCMExt
			
	plugin = File.dirname(__FILE__) 
	if plugin.respond_to?(:force_encoding)
	  plugin.force_encoding("UTF-8")
	end

	ext_dir = File.join( plugin, "dm_curve_maker")
	cm_ext = File.join(ext_dir, 'dm_curve_maker_ext')
	Sketchup::require(cm_ext)
	
	dm_xl8 = DrawMetalCurveMaker::LangHandler.new( ext_dir ) if dm_xl8 == nil
	Xl8 = dm_xl8
	
	load = File.join( ext_dir, "menu_cm" )
	
	cmExtension = SketchupExtension.new( dm_xl8.tr_to("Curve Maker"), load )
	cmExtension.description= dm_xl8.tr_to( "Adds Curve Maker to Sketchup Plugins Menu" )
	cmExtension.name= dm_xl8.tr_to( "Curve Maker" )
	cmExtension.creator= "Terry Ross"
	cmExtension.copyright= "© 2007-2016 Terry Ross, Draw Metal LLC."
	
	VERSION= "1.6.2 March 2016"
	cmExtension.version= VERSION
	
	Sketchup.register_extension(cmExtension, true)

end
end
